## LXTAC Tools
* 最新版本 *v1.0.17*
* 作者 *吕志远*
* 作者博客 *https://note.lxtac.com/*

**注意:**请及时使用`npm update`命令更新模块文件,该插件模块会持续的经常的更新新功能,并关注GitHub动态.您可以在Issues中进行反馈,或者到作者博客 *https://note.lxtac.com/*中进行反馈,作者会第一时间进行反馈.

## 安装
1.用NPM安装扩展:
```npm install lxtac-kits```

2.引入扩展:
```import lxtac from 'lxtac-kits'; // LXTAC Plugin;```

3.使用扩展:
```lxtac.getRequest().id     // Get ID from URL;```

4.开始使用... ...
### 文档
##### 1.方法`getRequest()` - 获取`URL`链接中传递的参数:
> 该方法获取 Get 方式传递的明文 URL 参数(自动解码),例如:

```
// URL: https://www.lxtac.com?id=13&name=john
<script>
    import lxtac from 'lxtac-kits'; // LXTAC Plugin;
    let request = lxtac.getRequest();
    let id = request.id;
    let name = request.name;
</script>
```
#### 2.方法`setBack()` - 设置`返回`按钮的 URL 链接:
> 该方法可用于修改上一个历史链接记录,用于返回按钮和回退按钮,适用于浏览器及移动端,例如:
```
<script>
    import lxtac from 'lxtac-kits';    // LXTAC Plugin;
    lxtac.setBack('https://www.lxtac.com/');    // 此时点击返回按钮则跳转至 https://www.lxtac.com/ ;
</script>
```

#### 3.方法`getObjectURL` - 获取图片文件 URL (base64编码):
> 该方法可以将 input 中的 img 文件转变成本地预览的 base64 编码地址,例如:
```angular2html
<input type="image" accept="image/*" name="img" class="img" id="img"/>
<script>
    import lxtac from 'lxtac-kits';    // LXTAC Plugin;
    let img = $('#img');
    let img_t = lxtac.getObjectURL(img.files[0]);   // img_t 可用于预览的 img 标签 url 使用;
</script>
```

#### 4.方法`getCityArray()`和`getWeUICities` - 获取中国全部省市数组:
> 该方法获取中国所有城市数组,用于联动选择定位等场景,默认格式适用于 WEUI 的 Picker 组件,示例如下:
```
<script>
    import lxtac from 'lxtac-kits';    // LXTAC Plugin;
    console.log(getCityArray());    // 城市数组输出;
</script>
```
> 新1.0.20版本中和之后的版本会用 getWeUICities 方法, getCityArray 方法趋于淘汰,getWeUICities 方法可以细化到市区,而 getCityArray 方法只能细化到市级;
