import isSuf from './isSuf'
import sufRemove from './sufRemove'
import pathinfo from './pathinfo'
/**
 * 对路径进行响应式还原处理,移除 @1x/@2x/@3x 字符.
 *
 * @param path
 * @returns {string}
 */
export default function fromPixelRatio ( path ) {
    let dirname = pathinfo(path,'dirname');
    let basename = pathinfo(path,'basename');
    let extension = pathinfo(path,'extension');
    let filename = pathinfo(path,'filename');
    let multiples = ['_thumbnail','@3x','@2x','@1x'];
    for ( let i = 0;i<multiples.length;i++ ){
        if ( isSuf(filename,multiples[i]) ){
            path = dirname+'/'+sufRemove(filename,multiples[i])+'.'+extension;
        }
    }
    return path;
}