/**
 *
 * 通过一个 input 中的 image 文件获取其 base64 编码链接,用于预览功能;
 *
 * @param file
 * @returns string
 */
export default function getQuery ( file ) {
    let url = null;
    if ( window.createObjectURL !== undefined ) { // Basic Browser
        url = window.createObjectURL ( file );
    } else if ( window.URL !== undefined ) {  // Mozilla(Firefox) Browser
        url = window.URL.createObjectURL ( file );
    } else if ( window.webkitURL !== undefined ) {    // Webkit or Chrome Browser
        url = window.webkitURL.createObjectURL ( file );
    }
    return url;
}