/**
 * 获取系统名称
 *
 * @example Android/iOS/Unknown.
 * @returns string
 */
export default function getSystemName (  ) {
    let u = navigator.userAgent;
    let isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
    let isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    if ( isAndroid ){
        return 'Android';
    } else if ( isiOS ){
        return 'iOS';
    } else {
        return 'Unknown';
    }
}