import isSuf from './isSuf'
import fromPixelRatio from './fromPixelRatio'
/**
 * 将文本中 multipleImage 类型的 src 参数转换为 multipleImage 源类型
 * @param text
 * @returns {*}
 */
export default function multipleTextEncode ( text ) {
    let multipleText = text;
    let imgReg = /<img.*?(?:>|\/>)/gi;
    let srcReg = /src=['"]?([^'"]*)['"]?/i;
    // let srcReg = /src=[\'\"]?([^\'\"]*)[\'\"]?/i;
    let arr = text.match(imgReg);  // arr 为包含所有img标签的数组
    if ( arr !== null ){
        for (var i = 0; i < arr.length; i++) {
            let src = arr[i].match(srcReg);
            let original = src[1];
            let pathinfo = this.pathinfo(original);
            if ( isSuf(pathinfo['filename'],'_thumbnail') || isSuf(pathinfo['filename'],'@3x') || isSuf(pathinfo['filename'],'@2x') || isSuf(pathinfo['filename'],'@1x')){
                let multiple = fromPixelRatio(original);
                text = text.replace(original,multiple);
            }
        }
    }
    return text;
}