import pathinfo from './pathinfo'
/**
 * 对路径进行响应式处理,添加 @1x/@2x/@3x 字符.
 *
 * @param path
 * @returns {string}
 */
export default function toPixelRatio ( path ) {
    let pixel_ratio = window.devicePixelRatio;
    if ( 0 < pixel_ratio && pixel_ratio <= 1 ){
        pixel_ratio = 1;
    } else if ( 1 < pixel_ratio && pixel_ratio <= 2 ){
        pixel_ratio = 2;
    } else if ( 2 < pixel_ratio ){
        pixel_ratio = 3;
    }
    let array = path.split('/');
    let basename = array.pop().split('.')[0]+'@'+pixel_ratio+'x.'+path.split('/').pop().split('.')[1];
    return pathinfo(path,'extension') === 'svg' ? path : array.join('/')+'/'+basename;
}