const path = require ( 'path' );
const CleanWebpackPlugin = require('clean-webpack-plugin');
const UglifyJsPlugin = require('uglifyjs-webpack-plugin');

module.exports = {
    mode: 'development',
    entry: {
        "lxtac-kits": './src/index.js'
    },
    devtool: 'inline-source-map',
    devServer: {
        contentBase: './dist'
    },
    plugins: [
        new CleanWebpackPlugin(['dist']),
        new UglifyJsPlugin(),

    ],
    stats: { children: false },
    output: {
        filename: '[name].min.js',
        path: path.resolve ( __dirname, 'dist' ),
        publicPath: '/'
    },
    module: {
        rules: []
    }
};